Template Numerical Library: TNL::Config::ConfigEntry< EntryType, DefaultValueType > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TNL::Config::ConfigEntry< EntryType, DefaultValueType > Class Template Reference
Inheritance diagram for TNL::Config::ConfigEntry< EntryType, DefaultValueType >:
[legend]
Collaboration diagram for TNL::Config::ConfigEntry< EntryType, DefaultValueType >:
[legend]

## Public Member Functions
| ConfigEntry (const std::string &name, const std::string &description, bool required)
| ConfigEntry (const std::string &name, const std::string &description, bool required, DefaultValueType defaultValue)
virtual DefaultValueType | getDefaultValue () const
virtual std::vector< EntryType > & | getEnumValues ()
virtual const std::vector< EntryType > & | getEnumValues () const
std::string | getUIEntryType () const override
bool | hasDefaultValue () const override
bool | hasEnumValues () const override
std::string | printDefaultValue () const override
void | printEnumValues (std::ostream &str) const override
Public Member Functions inherited from TNL::Config::ConfigEntryBase
| ConfigEntryBase (std::string name, std::string description, bool required)
const std::string & | getDescription () const
const std::string & | getName () const
virtual bool | isDelimiter () const
bool | isRequired () const

## Additional Inherited Members
Protected Attributes inherited from TNL::Config::ConfigEntryBase
std::string | description
std::string | name
bool | required

## Member Function Documentation

## ◆ getUIEntryType()

template<typename EntryType, typename DefaultValueType = EntryType>

std::string TNL::Config::ConfigEntry< EntryType, DefaultValueType >::getUIEntryType | ( |  | ) | const
| inlinenodiscardoverridevirtual

Implements TNL::Config::ConfigEntryBase.

## ◆ hasDefaultValue()

template<typename EntryType, typename DefaultValueType = EntryType>

bool TNL::Config::ConfigEntry< EntryType, DefaultValueType >::hasDefaultValue | ( |  | ) | const
| inlinenodiscardoverridevirtual

Reimplemented from TNL::Config::ConfigEntryBase.

## ◆ hasEnumValues()

template<typename EntryType, typename DefaultValueType = EntryType>

bool TNL::Config::ConfigEntry< EntryType, DefaultValueType >::hasEnumValues | ( |  | ) | const
| inlinenodiscardoverridevirtual

Reimplemented from TNL::Config::ConfigEntryBase.

## ◆ printDefaultValue()

template<typename EntryType, typename DefaultValueType = EntryType>

std::string TNL::Config::ConfigEntry< EntryType, DefaultValueType >::printDefaultValue | ( |  | ) | const
| inlinenodiscardoverridevirtual

Reimplemented from TNL::Config::ConfigEntryBase.

## ◆ printEnumValues()

template<typename EntryType, typename DefaultValueType = EntryType>

void TNL::Config::ConfigEntry< EntryType, DefaultValueType >::printEnumValues | ( | std::ostream & | str | ) | const
| inlineoverridevirtual

Reimplemented from TNL::Config::ConfigEntryBase.

The documentation for this class was generated from the following file:

- src/TNL/Config/ConfigEntry.h